#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QGraphicsScene>
#include "scene.h"
namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_btn_file_clicked();

    void on_btn_clear_clicked();

private:
    Ui::MainWindow *ui;
    QGraphicsScene m_scene;
    SceneSheme     *m_sceneSheme;
};

#endif // MAINWINDOW_H
